/*
 * Created on 06.07.2004
 */
package playclip;

import javax.sound.sampled.*;

/**
 * @author jl
 */
public class PlayClip {

	public static void main(String[] args) {
		try
		{
			float sampFrq = 44100.0f;
			float toneFrq = 440.0f * (float)Math.pow(2, (1.0/12.0)*7);
			AudioFormat af = new AudioFormat(sampFrq, 8, 1, true, false);
			final int numSamples = 80000;
			byte[] buffer = new byte[numSamples*1];
			for(int i = 0; i < numSamples; i++)
			{
				buffer[i] = (byte)(127*Math.sin(2*Math.PI*i*toneFrq/sampFrq));
			}	
			
			DataLine.Info info = new Clip.Info(Clip.class, af);
			Clip c = (Clip) AudioSystem.getLine(info);
			c.open(af, buffer, 0, numSamples*1);
			c.start();
			c.drain();	
		}
		catch(Exception e)
		{
			throw new RuntimeException(e);
		}
		System.exit(0);
	}
}
